<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Utils\WssField;

class WssFieldKursDauer extends WssField
{
  protected function getFieldBearbeitbar($datamodulWert, $isFormular, string $requestPrefix = '')
  {
    $feld = parent::getFieldBearbeitbar($datamodulWert, $isFormular, $requestPrefix);
    $hinterlegung = $this->getHinterlegung(isset($datamodulWert->showDauerHinterlegungsButton) && $datamodulWert->showDauerHinterlegungsButton);

    return $feld . $hinterlegung;
  }

  protected function getHinterlegung($pShowHinterlegung)
  {
    if ($pShowHinterlegung) {
      $buttonStyle = 'position: absolute; right: 20px; top: -3px; font-size: 27px; color: #555; cursor:pointer;';
      $inputIds = array($this->datamodulColumn->datamodul . '_' . $this->datamodulColumn->fieldname);

      return \PageButtonsAPI::getHinterlegungSymbol(\HLDispatcher::HL_DAUER, $inputIds, 'button_hl_dauer', $buttonStyle, 'hldauer_div', 'Dauer', 300, 300);
    }

    return '';
  }
}